Passer au contenu principal
POST
https://{tenantDomain}/api/v2
/
clients
/
cimd
/
register
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Clients.RegisterCimdClientAsync(
            new RegisterCimdClientRequestContent {
                ExternalClientId = "external_client_id"
            }
        );
    }

}
{
  "client_id": "<string>",
  "mapped_fields": {
    "external_client_id": "<string>",
    "name": "<string>",
    "app_type": "<string>",
    "callbacks": [
      "<string>"
    ],
    "logo_uri": "<string>",
    "description": "<string>",
    "grant_types": [
      "<string>"
    ],
    "token_endpoint_auth_method": "<string>",
    "jwks_uri": "<string>",
    "client_authentication_methods": {
      "private_key_jwt": {
        "credentials": [
          {
            "credential_type": "<string>",
            "kid": "<string>",
            "alg": "<string>"
          }
        ]
      }
    }
  },
  "validation": {
    "valid": true,
    "violations": [
      "<string>"
    ],
    "warnings": [
      "<string>"
    ]
  }
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

external_client_id
string<absolute-https-uri-or-empty>
requis

URL to the Client ID Metadata Document. Acts as the unique identifier for upsert operations.

Required string length: 1 - 120

Réponse

CIMD client successfully updated (idempotent).

Response after successfully registering or updating a CIMD client

client_id
string
requis

The Auth0 client_id of the created or updated client

mapped_fields
object
requis

Auth0 client fields mapped from the Client ID Metadata Document

validation
object
requis

Validation result for the Client ID Metadata Document